@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap');
@import url('components/header.css');
@import url('components/footer.css');
@import url('components/slider.css');
@import url('components/licensed.css');
@import url('components/quality.css');
@import url('components/construcction.css');
@import url('components/contractor.css');
@import url('components/services.css');
@import url('components/portfolio.css');
@import url('components/contact.css');
@import url('components/page.css');
@import url('components/about-us.css');
@import url('components/portfolio-page.css');
@import url('components/services-page.css');

@keyframes slideInOut {
    0% {
        opacity: 0;
        visibility: hidden;
        transform: translateY(-200px);
    }

    50% {
        opacity: 0.5;
        visibility: visible;
        transform: translateY(0);
    }

    100% {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }
}

@keyframes appear {
  from {
    opacity: 0;
    transform: translateY(50px) scale(0.9);
  }
  to {
    opacity: 1;
    transform: translateY(0) scale(1);
  }
}

:root {
    --ligth-green: #078C50;
    --dark-green: #066F40;
    --lemon-green: #90C85F;
    --ligth-yellow: #F9CC12;
    --dark-yellow: #E6BE15;
    --dark-slate-blue: #17215a;
    --twilight-blue: #0C5193;
    --pinkish-orange: #ef6d50;
    --apricot: #feba66;
    --teal-green: #249088;
    --pale-lilac: #e2e2f1;
    --light-periwinkle: #d2d2e7;
    --pale-purple: #a0a0c0;
    --pale-grey: #fafaff;
    --white: #fff;
    --dark: #000;
    --dark-blue-grey: #101638;
    --battleship-grey: #696d85;
}

html
{
    scroll-behavior: smooth;
}

body {
    margin: 0;
}

h1 {
    font-family: "Libre Baskerville", serif;
    font-size: 36px;
    font-weight: bold;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.11;
    letter-spacing: normal;

}

h2 {
    font-family: "Libre Baskerville", serif;
    font-size: 32px;
    font-weight: bold;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.13;
    letter-spacing: normal;

}

h3 {
    font-family: "Libre Baskerville", serif;
    font-size: 24px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.17;
    letter-spacing: normal;
}

h4 {
    font-family: "Work Sans", sans-serif;
    font-size: 20px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.2;
    letter-spacing: normal;
}

h5 {
    font-family: "Work Sans", sans-serif;
    font-size: 14px;
    font-weight: 600;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.29;
    letter-spacing: normal;
}

h6 {
    font-family: "Work Sans", sans-serif;
    font-size: 12px;
    font-weight: 600;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.17;
    letter-spacing: normal;
}

p {
    font-family: "Work Sans", sans-serif;
    font-size: 16px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
    letter-spacing: normal;
}

ul {
    margin: 0;
    padding-left: 1.2rem;
}

ul li {
    font-family: "Work Sans", sans-serif;
    font-size: 16px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.67;
    letter-spacing: normal;
}

ul li::marker {
    color: var(--dark-yellow);
}

ol {
    margin: 0;
    padding-left: 1.2rem;
}

ol li {
    font-family: "Work Sans", sans-serif;
    font-size: 16px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.67;
    letter-spacing: normal;
}

a {
    text-decoration: none;
    font-family: "Work Sans", sans-serif;
    font-size: 16px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.11;
    letter-spacing: normal;
}

a:hover,
a:visited {
    color: var(--teal-green);
}

p a {
    text-decoration: none;
    font-family: "Work Sans", sans-serif;
    font-size: 18px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.11;
    letter-spacing: normal;
}

p a:hover,
p a:visited {
    color: var(--teal-green);
}

img {
    width: 100%;
    max-width: 100%;
    height: auto;
    max-height: 100%;
}

.bg__gray {
    background-color: var(--pale-grey);
}

.bg__green {
    background-color: var(--dark-green);
}

.bg__green h2,
.bg__green p,
.bg__green p.caption {
    color: var(--white);
}

 .page,
 .sitemap,
 .education-offer,
 .archive,
 .top-register {
    position: relative;
 }
